Россия (Москва)

+7(499)703-14-58

Беларусь (Минск)

+375(29)730-92-33

Украина (Киев)

+380(44)392-28-19

Заказать услугу

OpenCart,ocStore Модуль генерации YML файла market.yandex.ru

 

yandex-market-logo
Самые популярный для действующих интернет-магазинов на мой взгляд для России и Украины и Беларуси - это конечно же модуль YML. Потому что многие хотят и размещаются в Яндекс маркете. А Яндекс маркет требует YML файл. И поэтому надо установить такой модуль, который бы сгенерировал этот самый YML файл правильно. Следует сказать, что таких модулей, которые выгружают YML их несколько. Хочу остеречь вас от возможных проблем. Не все они корректно работают при больших объемах данных. Например, если товаров будет 5 тысяч, то если модуль не был рассчитан на такой объем, то скрипту не хватит памяти на формирование файла и он просто завершит работу с ошибкой. Самое обидное будет если вы узнаете про это после того как успешно проработаете с ним несколько месяцев. Поэтому лучше сразу поставить “правильный” модуль.

Сам модуль YML можно скачать здесь

Почему этот модуль хорош?

в первую очередь он способен обрабатывать большой объем товаров. Автор утверждает, что он протестировал его на 12000 товаров. Это вполне достаточно для того чтобы 90% магазинов им воспользовалось.
Оставлю напоминание здесь о том, что если товаров в YML файле более 15000 то Маркет просто откажется обрабатывать файл такого объема.
модуль бесплатный, скачивайте его и устанавливайте.

Установка

Сказу я скачал последнюю версию opencart, на момент написания статьи (начало января 2014) это opencart 2.0.
По инструкции надо скопировать содержимое архива на сервере. Когда я это сделал я пошел во вкладку модули и нигде не смог найти что-то связанное с YML.
Я так и сделал, но получил следующую ошибку
Fatal error: Class 'Controller' not found in yandex_market.php on line 9
когда я обращался к файлу по ссылке domain\catalog\controller\feed\yandex_market.php

первая мысль, которая пришла в голову заключалась в том, что возможно у меня версия опенкарта слишком новая. Поэтому я скачал ocStore-1.5.5.1.2 проделав тоже самое я аналогично не получил установленного модуля в расширениях.

Не поверив в то, что модуль не работает. Я решил установить модуль на opencart 1.5.5.1 потому, что в документации была информация о совместимости именно с этой версий магазина и не с какой другой (я имею ввиду ocStore).

Установил (просто скопировал) и чуда не произошло, в модулях ни слово о YML не появилось. Отложив мои намерения в этот день установить модуль я начал пробегаться по меню и вдруг в английской версии я увидел слово feed в меню. Заглянул в него - и вуаля там оказывается был YML. Выделил выгружаемые категории, настроил быстро модуль, но так и не смог выгрузить товары в YML. Наверное причиной было то, что в модуле не выбиралась валюта, что странно.

Сообразив, что модулю , наверное нужна валюта “Рубли”. Я зашел в ocStore в меню Дополнения-Каналы продвижения я нашел Яндекс Маркет.

opecart_yml

 

opencart_feeds

настроил его и смог выгрузить YML файл по ссылке domain/index.php?route=feed/yandex_market
Миссия завершена. Модуль установлен успешно =)

Кто перевел слово “Feed” с английского как “Дополнения-Каналы продвижения” это большой вопрос. Ладно, главное, что модуль работает и работает корректно.


12 комментариев

  1. 1.5.5.2 стоит и нет возможности теперь воспользоваться данным модулем ? 🙁

    • Я тестировал на другой версии

    • Надо проверять

      • есле не решил проблему пиши.

        У меня сначала тоже не работала потом поставилась. Пишите помагу. поставить модуль этот до версии Opencart (OcShop) 1.5.6.4
        Пишите. http://vk.com/artem_pavlov_business

        • Привет. Нужна ваша помощь.
          Модуль был установлен год назад и нормально работал, но вчера возникла ошибка при выгрузке. Не знаю как исправить:

          This page contains the following errors:

          error on line 2 at column 6: XML declaration allowed only at the start of the document
          Below is a rendering of the page up to the first error.

  2. У Вас нет прав для доступа к этой странице. Если она Вам нужна, обратитесь к администратору. Это если попробовать туда зайти по ссылке

    • Зайди в профиль Админа и поставь доступ к приложению

  3. на 2.0.1.1 работает?

    • нашли решение для второй версии опенкарт?

  4. Привет, всем.
    А если товар показывается в нескольких категориях. Как это отобразить в файле экспорта?

    • В статье описывается функционал плагина для опенкарт. Свой вопрос можете задать автору плагина, в статье есть ссылка.

  5. С Opencart ocStore © 2009-2017
    Версия 1.5.5.1.2

    работает! Добавил в "каналы управления" скаченый файл, спасибо этой статье и автору!
    Затем через маркет сформированную ссылку вставил! Все успешно прошло регистрации на маркете. Ушло минут 20 на все, начиная с загрузки файла и заливку файлов на FTP сервер тимвебса.